Package be.fgov.ehealth.mediprima.core.v1

# Class CbssStatus

java.lang.Object
be.fgov.ehealth.mediprima.core.v1.CbssStatus

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:17+02:00", comments="JAXB RI v4.0.5") public class CbssStatus extends Object implements Serializable

Java class for CbssStatusType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CbssStatusType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Value" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Information" type="{urn:be:fgov:ehealth:mediprima:core:v1}InformationType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CbssStatus()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  The code of the CBSS status
  `String`
  `getDescription()`
  The description of the CBSS status
  `List<InformationType>`
  `getInformations()`
  Gets the value of the informations property.
  `String`
  `getValue()`
  CBSS status of the result
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CbssStatus

    public CbssStatus()

- ## Method Details

  - ### getValue

    public String getValue()
    CBSS status of the result
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getValue()`

  - ### getCode

    public String getCode()
    The code of the CBSS status
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCode()`

  - ### getDescription

    public String getDescription()
    The description of the CBSS status
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDescription()`

  - ### getInformations

    public List<InformationType> getInformations()
    Gets the value of the informations property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the informations property.

    For example, to add a new item, do as follows:

         getInformations().add(newItem);

    Objects of the following type(s) are allowed in the list `InformationType`

    Returns:
      The value of the informations property.